Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.search
Class NotTerm

    java.lang.Object
      |
      +--javax.mail.search.SearchTerm
            |
            +--javax.mail.search.NotTerm

All Implemented Interfaces:
  java.io.Serializable

public final class NotTerm
extends SearchTerm

This class implements the logical NEGATION operator.

See Also:
  Serialized Form

Field Summary
`protected SearchTerm` | `term` The search term to negate.

Constructor Summary
`NotTerm(SearchTerm t)`

Method Summary
`boolean` | `equals(java.lang.Object obj)` Equality comparison.
`SearchTerm` | `getTerm()` Return the term to negate.
`int` | `hashCode()` Compute a hashCode for this object.
`boolean` | `match(Message msg)` This method applies a specific match criterion to the given message and returns the result.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### term

    protected SearchTerm term

  The search term to negate.

Constructor Detail

### NotTerm

    public NotTerm(SearchTerm t)

Method Detail

### getTerm

    public SearchTerm getTerm()

  Return the term to negate.

### match

    public boolean match(Message msg)

  Description copied from class: `SearchTerm`
  This method applies a specific match criterion to the given message and returns the result.
  Overrides:
    `match` in class `SearchTerm`
  Following copied from class: `javax.mail.search.SearchTerm`
  Parameters:
    `msg` - The match criterion is applied on this message
  Returns:
    true, it the match succeeds, false if the match fails

### equals

    public boolean equals(java.lang.Object obj)

  Equality comparison.
  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Compute a hashCode for this object.
  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD